{
  "name": "parse",
  "version": "3.4.0-alpha.3",
  "description": "The Parse JavaScript SDK",
  "homepage": "https://parseplatform.org/",
  "keywords": [
    "cloud",
    "mobile",
    "api"
  ],
  "license": "BSD-3-Clause",
  "repository": {
    "type": "git",
    "url": "https://github.com/parse-community/Parse-SDK-JS"
  },
  "bugs": "https://github.com/parse-community/Parse-SDK-JS/issues",
  "files": [
    "index.js",
    "node.js",
    "dist/",
    "lib/",
    "LICENSE",
    "PATENTS",
    "README.md"
  ],
  "dependencies": {
    "@babel/runtime": "7.15.4",
    "@babel/runtime-corejs3": "7.14.7",
    "idb-keyval": "6.0.3",
    "ws": "7.5.1",
    "xmlhttprequest": "1.8.0"
  },
  "devDependencies": {
    "@babel/core": "7.10.2",
    "@babel/plugin-proposal-class-properties": "7.10.1",
    "@babel/plugin-transform-flow-comments": "7.10.1",
    "@babel/plugin-transform-flow-strip-types": "7.10.1",
    "@babel/plugin-transform-runtime": "7.10.1",
    "@babel/preset-env": "7.10.2",
    "@babel/preset-react": "7.10.1",
    "@parse/minami": "1.0.0",
    "@semantic-release/changelog": "5.0.1",
    "@semantic-release/commit-analyzer": "8.0.1",
    "@semantic-release/git": "9.0.0",
    "@semantic-release/github": "7.2.3",
    "@semantic-release/npm": "7.1.3",
    "@semantic-release/release-notes-generator": "9.0.3",
    "babel-eslint": "10.1.0",
    "babel-jest": "24.9.0",
    "babel-plugin-inline-package-json": "2.0.0",
    "babel-plugin-minify-dead-code-elimination": "0.5.1",
    "babel-plugin-transform-inline-environment-variables": "0.4.3",
    "browserify": "16.5.1",
    "codecov": "3.7.1",
    "core-js": "3.6.5",
    "cross-env": "7.0.2",
    "eslint": "6.8.0",
    "eslint-plugin-flowtype": "5.1.2",
    "eslint-plugin-jsdoc": "30.7.3",
    "gulp": "^4.0.2",
    "gulp-babel": "8.0.0",
    "gulp-derequire": "3.0.0",
    "gulp-insert": "0.5.0",
    "gulp-rename": "2.0.0",
    "gulp-uglify": "3.0.2",
    "gulp-watch": "5.0.1",
    "jasmine": "3.5.0",
    "jasmine-reporters": "2.3.2",
    "jasmine-spec-reporter": "6.0.0",
    "jest": "24.9.0",
    "jsdoc": "3.6.3",
    "jsdoc-babel": "0.5.0",
    "lint-staged": "10.5.3",
    "metro-react-native-babel-preset": "0.59.0",
    "regenerator-runtime": "0.13.5",
    "semantic-release": "17.4.6",
    "vinyl-source-stream": "2.0.0"
  },
  "optionalDependencies": {
    "crypto-js": "4.1.1"
  },
  "scripts": {
    "build": "node build_releases.js",
    "release": "node build_releases.js && npm publish",
    "test": "cross-env PARSE_BUILD=node jest",
    "lint": "eslint --cache src/ integration/",
    "lint:fix": "eslint --fix --cache src/ integration/",
    "integration": "cross-env TESTING=1 jasmine --config=jasmine.json",
    "docs": "jsdoc -c ./jsdoc-conf.json ./src",
    "prepare": "npm run build",
    "release_docs": "./release_docs.sh",
    "gulp": "gulp",
    "prettier": "prettier --write '{src,integration}/{**/*,*}.js' && npm run lint:fix",
    "cross-env": "cross-env"
  },
  "lint-staged": {
    "{src,integration}/{**/*,*}.js": [
      "prettier --write",
      "eslint --fix --cache",
      "git add"
    ]
  },
  "jest": {
    "automock": true,
    "collectCoverage": true,
    "coveragePathIgnorePatterns": [
      "/node_modules/",
      "test_helpers/(.*).js"
    ],
    "roots": [
      "src/"
    ],
    "testPathIgnorePatterns": [
      "/node_modules/",
      "/test_helpers/"
    ],
    "transform": {
      ".*": "./babel-jest.js"
    },
    "transformIgnorePatterns": [
      "/node_modules/",
      "package.json"
    ],
    "setupFilesAfterEnv": [
      "./setup-jest.js"
    ]
  }
}
